pydo.autoscalepools.update()
Generated on 8 May 2026
from pydo version
v0.34.0
Usage
client.autoscalepools.update(
autoscale_pool_id="0d3db13e-a604-4944-9827-7ec2642d32ac",
body={
"name": "my-autoscale-pool",
"config": {...},
"droplet_template": {...},
},
)Description
To update the configuration of an existing autoscale pool, send a PUT request to
/v2/droplets/autoscale/{autoscale_pool_id}. The request must contain a full representation
of the autoscale pool including existing attributes.
Parameters
autoscale_pool_idstring requiredA unique identifier for an autoscale pool.
namestring requiredExample:
my-autoscale-poolThe human-readable name of the autoscale pool. This field cannot be updated
configobject requiredThe scaling configuration for an autoscale pool, which is how the pool scales up and down (either by resource utilization or static configuration).
Show child properties
target_number_instancesinteger optionalExample:
3Fixed number of instances in an autoscale pool.
min_instancesinteger optionalExample:
5The minimum number of Droplets in an autoscale pool.
max_instancesinteger optionalExample:
10The maximum number of Droplets in an autoscale pool.
target_cpu_utilizationnumber optionalExample:
0.6Target CPU utilization as a decimal.
target_memory_utilizationnumber optionalExample:
0.6Target memory utilization as a decimal.
cooldown_minutesinteger optionalExample:
5The number of minutes to wait between scaling events in an autoscale pool. Defaults to 10 minutes.
droplet_templateobject requiredShow child properties
namestring optionalExample:
my-droplet-nameThe name(s) to be applied to all Droplets in the autoscale pool.
regionstring requiredThe datacenter in which all of the Droplets will be created.
sizestring requiredExample:
c-2The Droplet size to be used for all Droplets in the autoscale pool.
imagestring requiredExample:
ubuntu-20-04-x64The Droplet image to be used for all Droplets in the autoscale pool. You may specify the slug or the image ID.
ssh_keysarray of strings requiredExample:
['88:66:90:d2:68:d5:b5:85:e3:26:26:11:31:57:e6:f8']The SSH keys to be installed on the Droplets in the autoscale pool. You can either specify the key ID or the fingerprint.
Requiresssh_key:readscope.tagsarray of strings optionalExample:
['my-tag']The tags to apply to each of the Droplets in the autoscale pool.
Requirestag:readscope.vpc_uuidstring optionalExample:
760e09ef-dc84-11e8-981e-3cfdfeaae000The VPC where the Droplets in the autoscale pool will be created. The VPC must be in the region where you want to create the Droplets.
Requiresvpc:readscope.with_droplet_agentboolean optionalExample:
TrueInstalls the Droplet agent. This must be set to true to monitor Droplets for resource utilization scaling.
project_idstring optionalExample:
746c6152-2fa2-11ed-92d3-27aaa54e4988The project that the Droplets in the autoscale pool will belong to.
Requiresproject:readscope.ipv6boolean optionalExample:
TrueAssigns a unique IPv6 address to each of the Droplets in the autoscale pool.
user_datastring optionalExample:
#cloud-config runcmd: - touch /test.txtA string containing user data that cloud-init consumes to configure a Droplet on first boot. User data is often a cloud-config file or Bash script. It must be plain text and may not exceed 64 KiB in size.
public_networkingboolean optionalExample:
TrueAn optional boolean indicating whether the Droplets should be created with public networking or not. By default, all Droplets are created with public networking available. If explicitly set to
false, only private networking will be enabled, and public networking will be disabled; currently this means that it will not have any public static or Reserved IPv4 or IPv6 address, nor can one be assigned later. If explicitly set tofalse,ipv6must also befalse.
Request Sample
Response Example
More Information
See /v2/droplets/autoscale/{autoscale_pool_id} in the API reference for additional detail on responses, headers, parameters, and more.